package com.mints.goodmoney.mvp.model;

import java.io.Serializable;
import java.util.List;

/**
 * 签到打卡bean
 */
public class SignCardBean implements Serializable {

    /**
     * nowDate : 1
     * list : [{"date":"2019-12-25","d":1,"status":1,"coin":"5"},{"date":"2019-12-26","d":2,"status":0,"coin":"5"},{"date":"2019-12-27","d":3,"status":0,"coin":"5"},{"date":"2019-12-28","d":4,"status":0,"coin":"5"},{"date":"2019-12-29","d":5,"status":0,"coin":"5"},{"date":"2019-12-30","d":6,"status":0,"coin":"5"},{"date":"2019-12-31","d":7,"status":0,"coin":"5"}]
     */

    private int nowDate;
    private List<ListBean> list;

    public int getNowDate() {
        return nowDate;
    }

    public void setNowDate(int nowDate) {
        this.nowDate = nowDate;
    }

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public class ListBean implements Serializable {
        /**
         * date : 2019-12-25
         * d : 1
         * status : 1
         * coin : 5
         */

        private String date;
        private int d;
        private int status;
        private int coin;

        public String getDate() {
            return date;
        }

        public void setDate(String date) {
            this.date = date;
        }

        public int getD() {
            return d;
        }

        public void setD(int d) {
            this.d = d;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public int getCoin() {
            return coin;
        }

        public void setCoin(int coin) {
            this.coin = coin;
        }
    }
}
